<?php
// main model containing general config and UI functions
class WatuPROCmon {
   static function install() {
   	global $wpdb;	
   	$wpdb -> show_errors();
   	
   	self::init();
	   
    // relations bewteen completed exams and mailing lists. 
    // For now not depending on exam result but place the field for later use
    if($wpdb->get_var("SHOW TABLES LIKE '".WATUPROCMON_RELATIONS."'") != WATUPROCMON_RELATIONS) {  
        $sql = "CREATE TABLE `".WATUPROCMON_RELATIONS."` (
				id int(11) unsigned NOT NULL auto_increment PRIMARY KEY,
				exam_id int(11) unsigned NOT NULL default '0',
				list_id VARCHAR(100) NOT NULL DEFAULT '',
				grade_id int(11) unsigned NOT NULL default '0'
			) CHARACTER SET utf8;";
        $wpdb->query($sql);         
    	}
	}	   
   
   // main menu
   static function menu() {
   	add_submenu_page('watupro_exams', __('Bridge to Campaign Monitor', 'watuprochimp'), __('Bridge to Campaign Monitor', 'watuprochimp'), 'manage_options', 
   		'watuprocmon', array('WatuPROCmonBridge','main'));	
	}
	
	// CSS and JS
	static function scripts() {   
   	wp_enqueue_script('jquery');
	}
	
	// initialization
	static function init() {
		global $wpdb;
		load_plugin_textdomain( 'watuprocmon' );
		define('WATUPROCMON_RELATIONS', $wpdb->prefix.'watucprohimp_relations');
		
		add_action('watupro_completed_exam', array('WatuPROCmonBridge', 'complete_exam'));
	}	
}