<?php
/*
Plugin Name: WatuPRO to Campaign Monitor Bridge 
Plugin URI: 
Description: Automatically subscribe users who take quizzes to your Campaign Monitor mailing lists
Author: Kiboko Labs
Version: 0.5
Author URI: http://calendarscripts.info/
License: GPLv2 or later
Text-domain: watuprocmon
*/

define( 'WATUPROCMON_PATH', dirname( __FILE__ ) );
define( 'WATUPROCMON_RELATIVE_PATH', dirname( plugin_basename( __FILE__ )));
define( 'WATUPROCMON_URL', plugin_dir_url( __FILE__ ));

// require controllers and models
require_once(WATUPROCMON_PATH.'/models/basic.php');
require_once(WATUPROCMON_PATH.'/controllers/bridge.php');
require_once(WATUPROCMON_PATH.'/lib/csrest_general.php');
require_once(WATUPROCMON_PATH.'/lib/csrest_subscribers.php');

add_action('init', array("WatuPROCmon", "init"));

register_activation_hook(__FILE__, array("WatuPROCmon", "install"));
add_action('watupro_admin_menu', array("WatuPROCmon", "menu"));